Subject: Re: malformed captured packets

From: James Chapman <[email-masked]>
Date: Wed, 29 Aug 2007 08:35:24 +0100

Toralf Förster wrote:
> I use at home an DSL connection (stable Gentoo system),
> current kernel is 2.6.22-gentoo-r5.
> 
> I attached 2 pcap files with the communication of the KDE program kscd with the
> CDDB server freedb.org, sniffed from interface ppp0 and eth0 respectively.
> 
> The sniffed network stream over the ppp0 interface looks _always_ fine whereas
> the sniffed packets from the eth0 always looks bad :-(
> 
> I don't undestand why the ppp0 stream is ok, whereas the eth0 stream has always
> a malformed package (eg #13 in kscd_eth0.pcap) which contains the content of the CD.
> And I'm really confused about the fact, that within a LAN I did not have a
> malformed packet.
> 
> I discussed it
> here http://www.wireshark.org/lists/wireshark-users/200707/msg00187.html
> and here http://bugzilla.kernel.org/show_bug.cgi?id=8793 and many different
> places in the past but w/o success.
> 
> Any explanation are appreciated.

Can you provide more information about the problem, please? Are you 
using a simple DSL modem with PPPoE, such that the ppp0 interface is 
that of the pppd started by a local PPPoE server? Is this a problem only 
with packet capture or are you seeing actual data corruption? Did this 
work with previous kernels? What is the network topology related to the 
DSL interface?

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development